#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Net
%define		pnam	Netmask
Summary:	Net::Netmask - parse, manipulate and lookup IP network blocks
Summary(pl.UTF-8):	Net::Netmask - analiza, obróbka i wyszukiwanie bloków sieci IP
Name:		perl-Net-Netmask
Version:	1.9016
Release:	1%{?tld}
# "License hereby granted for anyone to use, modify or redistribute this module at their own risk."
License:	Free
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	174606b568f8545b8968aecf50ba7a37
URL:		http://search.cpan.org/dist/Net-Netmask/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Netmask parses and understands IPv4 CIDR blocks. It's built with
an object-oriented interface. Nearly all functions are methods that
operate on a Net::Netmask object.

%description -l pl.UTF-8
Moduł Net::Netmask analizuje i rozumie bloki CIDR IPv4. Ma obiektowo
zorientowany interfejs. Prawie wszystkie funkcje są metodami
operującymi na obiekcie Net::Netmask.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGELOG
%{perl_vendorlib}/Net/Netmask.pm
%{_mandir}/man3/*
%changelog
* Thu Jan 11 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-Netmask.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> bc257c5
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> 59f18ae
- up to 1.9016

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 8ce84c4
- generic URL
- not GPL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> ddd4d4b
- up to 1.9015

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bdeca74
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3f78762
- converted to UTF-8

* Fri Nov 17 2006 maciek2w <maciek2w@pld-linux.org> 30825a3
- updated to 1.9014

* Mon Oct 17 2005 hawk <hawk@pld-linux.org> 1c23f46
- release 2 (1 went to Ra)

* Mon May 30 2005 petec <petec@pld-linux.org> 15004be
- up to 1.9012

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 8651f69
- formatting

* Tue Jun 01 2004 Adam Gołębiowski <adamg@pld-linux.org> ce585be
- updated to 1.9011

* Tue Apr 13 2004 Adam Gołębiowski <adamg@pld-linux.org> dd2adeb
- updated to 1.9009

* Wed Apr 07 2004 Adam Gołębiowski <adamg@pld-linux.org> 0a34cf1
- updated to 1.9008

* Thu Jan 15 2004 Jakub Bogusz <qboosh@pld-linux.org> e05d73a
- updated to 1.9007, added tests

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> b120a65
- spaces -> tab

* Wed Sep 03 2003 Adam Gołębiowski <adamg@pld-linux.org> 89ab8d1
- updated to 1.9004

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 9d34d01
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 143dc40
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 86859f2
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Mar 01 2003 radek <radek@pld-linux.org> 7795cb4
- should be ready for perl-5.8.0; release++

